% !TeX spellcheck = en_GB

The data is split into train and test sets with a test size of 20\% resulting in the train set containing 13,593 samples with 100 rows and three to nine columns and the test set having 3,399 samples. The model is used with the three different feature sets listed in \ref{ssec:ts_features}. The results are shown in table \ref{tab:timeseries_results}.

\begin{table}[H]
	\caption{Time series prediction results using different feature sets}
	\label{tab:timeseries_results}
	\begin{center}
	\begin{tabular}{l|l|l|l}
		& Fit time & Predict time & Accuracy \\ \hline
		Raw       & 3h 10m   & 1h 45m       & 0.746    \\ \hline
		Filtered  & 3h 24m   & 1h 47m       & 0.843    \\ \hline
		Generated & 3h 42m   & 1h 51m       & 0.708    \\
	\end{tabular}
\end{center}
\end{table}


The time series \gls{SVM} accuracy on this dataset is very low and fit and predict times are very long, showing how computationally expensive this model is. Using it as an online model for live predicting the current activity seems not very advisable. Therefore another approach for online prediction is analysed in section \ref{sssec:lda_online_pred}.